;;; -*- Mode: Lisp -*-

;;;  (c) copyright 2002 by
;;;           Joachim P., Jrme P., Hugh P., Matthias R.
;;;           (restordoc@emi.u-bordeaux.fr)
;;;
;;; This library is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU Library General Public
;;; License as published by the Free Software Foundation; either
;;; version 2 of the License, or (at your option) any later version.
;;;
;;; This library is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;; Library General Public License for more details.
;;;
;;; You should have received a copy of the GNU Library General Public
;;; License along with this library; if not, write to the Free
;;; Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA

(load "package.lisp")
(load "mini-buffer.lisp")
(load "key-handler.lisp")
(load "keystrokes.lisp")
(load "canvas.lisp")
(load "scroll.lisp")
(load "tools.lisp")
(load "pixels-array.lisp")
(load "modules.lisp")
(load "rdoc-panes.lisp")
(load "rdoc.lisp")

;; CMUCL patch

(setf lisp::*max-event-to-sec* 0)
(setf lisp::*max-event-to-usec* 50000)

(defvar is-smp-started nil)
(defun smp ()
  (unless is-smp-started
    (mp::startup-idle-and-top-level-loops)
    (setf is-smp-started t)))

(rdoc::rdoc)
(quit)

