;;; -*- Mode: Lisp -*-

;;;  (c) copyright 2002 by
;;;           Joachim P., Jrme P., Hugh P., Matthias R.
;;;           (restordoc@emi.u-bordeaux.fr)
;;;
;;; This library is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU Library General Public
;;; License as published by the Free Software Foundation; either
;;; version 2 of the License, or (at your option) any later version.
;;;
;;; This library is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;; Library General Public License for more details.
;;;
;;; You should have received a copy of the GNU Library General Public
;;; License along with this library; if not, write to the Free
;;; Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA

#+excl(require :clim)
#+excl(require :loop)

(defparameter *rdoc-directory* (directory-namestring *load-truename*))

#+mk-defsystem (use-package "MK")

(defsystem :rdoc #-mk-defsystem ()
  #+mk-defsystem :source-pathname #+mk-defsystem *rdoc-directory*
  #+mk-defsystem :source-extension #+mk-defsystem "lisp"
  #+mk-defsystem :components
  (:serial
   "package"
   "mini-buffer"
   "key-handler"
   "rdoc-panes"
   "canvas"
   "scroll"
   "tools"
   "pixels-array"
   "modules"
   "keystrokes"   
   "rdoc"))
